Modal broken after alpha-21 upgrade

Bug description:

I’m getting an “expression has changed after it was checked.” error from a modal after I upgraded to alpha-21.

Link to minimally-working plunker that reproduces the issue:

Plunker with alpha-20 (working without any error) – http://plnkr.co/edit/POQliZvnstO6yeIAdhhX?p=preview

Plunker with alpha-21 (throwing error) – http://plnkr.co/edit/SMl0IKXc4wEnERcfCsP7?p=preview

Version of Angular, ng-bootstrap, and Bootstrap:

Angular: 2.3.1

ng-bootstrap: 1.0-alpha-21

Bootstrap: 4.0.0 alpha-6

1 possible answer(s) on “Modal broken after alpha-21 upgrade